.footer {
    z-index: 50;
    color: $white;
    position: relative;
 //   background: $dark;
    font-size: rem(12);
    line-height: rem(18);

    &__primary {
        margin: 0 auto;
        max-width: rem(400);
        padding-top: rem(48);
        padding-bottom: rem(16);

        &--border {
            border-top: 1px solid #717171;
        }
    }

    &__content {
        text-align: center;
        margin-bottom: rem(24);
    }

    &__text {
        opacity: 0.5;
        color: $gray-low;
        margin-bottom: rem(19);
    }

    &__logo {
        display: block;
        width: rem(74);
        margin:  0 auto rem(19) auto;
    }

    &__social {
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: center;

        > * {

            &:not(:last-child) {
                margin-right: rem(24);
            }
        }
    }

    &__nav {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    &__group {
        width: calc(50% - 0.5rem);

        &:first-child,
        &:last-child {
            width: 100%;
        }

        &:not(:last-child) {
            margin-bottom: rem(18);
        }
    }

    &__title {
        color: $gray;
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(6);
        text-transform: uppercase;
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
        display: grid;
        grid-column-gap: rem(16);
        grid-template-columns: 1fr;

        &--double {
            grid-template-columns: 1fr 1fr;
        }

        &--double-sm {
            grid-template-columns: 1fr 1fr;
        }

        li {

            a {
                color: $gray-low;
                padding: rem(6) 0;
                display: inline-block;
                text-decoration: none;
                transition: .3s;

                &:hover {
                    color: $white;
                    text-decoration: none;
                    transition: .3s;
                }
            }
        }
    }

    &__secondary  {
        margin: 0 auto;
        max-width: rem(400);
        text-align: center;
        padding-top: rem(16);
        padding-bottom: rem(48);
        border-top: 1px solid rgba(255, 255, 255, 0.1);
    }

    &__links {
        margin: 0;
        padding: 0;
        list-style: none;

        li {
            margin-bottom: rem(16);

            a {
                color: $gray-low;
                text-decoration: none;
                transition: .3s;

                &:hover {
                    color: $white;
                    text-decoration: none;
                    transition: .3s;
                }
            }
        }
    }

    &__dev {
        color: $gray;

        span {
            opacity: 0.4;
            display: block;
            margin-bottom: rem(4);
        }

        a {
            font-weight: 500;
            font-size: rem(14);
            line-height: rem(20);
            display: inline-block;
            text-decoration: none;
            color: rgba(255,255,255,0.5);
            transition: .3s;

            &:hover {
                text-decoration: none;
                color: rgba(255,255,255,1);
                transition: .3s;
            }
        }
    }

    @include media-breakpoint-up(sm) {

        &__primary {
            max-width: inherit;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(14);
        line-height: rem(20);


        &__content {
            margin-bottom: rem(42);
        }

        &__logo {
            width: rem(188);
        }

        &__title {
            font-size: rem(14);
            line-height: rem(20);
            margin-bottom: rem(8);
        }

        &__menu {

            li {

                a {
                    padding: rem(8) 0;
                }
            }
        }

        &__secondary {
            padding-top: rem(24);
            text-align: left;
            max-width: inherit;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__links {
            display: flex;
            align-items: center;
            white-space: nowrap;

            li {
                margin: 0 rem(24) 0 0;
            }
        }

        &__dev {
            white-space: nowrap;
            display: flex;
            align-items: center;

            span {
                margin: 0 rem(4) 0 0;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__primary {
            width: 100%;
            max-width: inherit;
            padding-bottom: rem(18);
        }

        &__nav {
            display: flex;
            flex-wrap: nowrap;
            justify-content: space-between;
        }

        &__group {
            width: inherit;

            &:not(:last-child) {
                margin-bottom: 0;
            }

            &:first-child,
            &:last-child {
                width: inherit;
            }
        }

        &__menu {

            &--double {
                grid-template-columns: 1fr;
            }

            &--double-sm {
                grid-template-columns: 1fr;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__menu {
            white-space: nowrap;

            &--double {
                grid-template-columns: 1fr 1fr;
            }
        }
    }

    @include media-breakpoint-up(xxl) {

        &__primary {
            display: flex;
            justify-content: space-between;
        }

        &__content {
            margin: 0;
            text-align: left;
        }

        &__logo {
            margin: 0 0 rem(19) 0;
        }

        &__social {
            justify-content: flex-start;
        }

        &__group {
            margin-left: rem(48);
        }
    }
}
